2 Replies Latest reply on Jul 14, 2014 5:11 AM by Funsize

    Is it possible to install Lightroom 2.0 onto a Mac Book Pro running 10.8.5?

    Funsize

      I have a disc for LR 2.0 and I am trying to install it onto my Mac Book Pro running 10.8.5.   I have tried three times and the installation has failed with a message saying contact the manufacturer.

       

      I have managed to install Lightroom 1.0 from disc and it opens but will not allow me to create a new catalogue.

       

      Is this just a compatibility fail?